//emote_Pee.cs


function serverCmdPee(%client)
{
	if(isObject(%client.player))
		%client.player.emote(PeeImage);
}

datablock ParticleData(PeeParticle)
{
   dragCoefficient      = 0.0;
   gravityCoefficient   = 10.0;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 5000;
   lifetimeVarianceMS   = 800;
   useInvAlpha          = true;
   textureName          = "base/data/particles/cloud";
   colors[0]     = "0.8 0.8 0.0 0.7";
   colors[1]     = "0.8 0.8 0.0 0.0";
   sizes[0]      = 0.2;
   sizes[1]      = 0.3;
   times[0]      = 0.0;
   times[1]      = 0.2;
   times[2]      = 1.0;
};

datablock ParticleEmitterData(PeeEmitter)
{
   ejectionPeriodMS = 0.01;
   periodVarianceMS = 0;
   ejectionVelocity = 19.0;
   ejectionOffset   = 0.0;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "PeeParticle";

   uiName = "Emote - Pee";
};
datablock ShapeBaseImageData(PeeImage)
{
   shapeFile = "base/data/shapes/empty.dts";
	emap = false;

	mountPoint = 7;
   rotation = "1 0 10 0";

	stateName[0]					= "Ready";
	stateTransitionOnTimeout[0]		= "FireA";
	stateTimeoutValue[0]			= 0.01;

	stateName[1]					= "FireA";
	stateTransitionOnTimeout[1]		= "Done";
	stateWaitForTimeout[1]			= True;
	stateTimeoutValue[1]			= 0.350;
	stateEmitter[1]					= PeeEmitter;
	stateEmitterTime[1]				= 0.350;

	stateName[2]					= "Done";
	stateScript[2]					= "onDone";
};
function PeeImage::onDone(%this,%obj,%slot)
{
	%obj.unMountImage(%slot);
}